Bug 1024874 - Broken EDID on Thinkpad X1 Carbon [NEEDINFO]
Broken EDID on Thinkpad X1 Carbon
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 10:24 EDT by Christoph Höger
Modified: 2015-02-17 13:57 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 13:57:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ajax: needinfo? (choeger)


Attachments (Terms of Use)

  None (edit)
Description Christoph Höger 2013-10-30 10:24:09 EDT
Description of problem:
I can run my main display on its native resolution just fine, but when I try to mirror my display on a second screen, the biggest common denominator is 1024x768. This is because there are *no* valid modelines detected.

Version-Release number of selected component (if applicable):


Steps to Reproduce:
Check the supported modes:

choeger@daishi ~ % monitor-edid -v
parsing EDID from /sys/class/drm/card0-LVDS-1/edid
EISA ID: LGD0382
EDID version: 1.3
EDID extension blocks: 0
Screen size: 30.9 cm x 17.4 cm (13.96 inches, aspect ratio 16/9 = 1.78)
Gamma: 2.2
Digital signal

	# Monitor preferred modeline (60.0 Hz vsync, 56.1 kHz hsync, ratio 16/9, 131 dpi)
	ModeLine "1600x900" 108 1600 1648 1680 1924 900 903 908 936 -hsync -vsync

Actual results:
No other modelines detected.

Expected results:
There should be some other supported 16:9 modelines.

Additional info:
I just confirmed using a Min live usb stick running Kernel 3.2 that othere modelines *are* supported. Unfortunately this live system did not support monitor-edid.

I am not 100% sure, but I guess its the display driver's fault.

choeger@daishi ~ % sudo lspci -kv
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09) (prog-if 00 [VGA controller])
        Subsystem: Lenovo Device 21f9
        Flags: bus master, fast devsel, latency 0, IRQ 42
        Memory at f0000000 (64-bit, non-prefetchable) [size=4M]
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at 4000 [size=64]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [d0] Power Management version 2
        Capabilities: [a4] PCI Advanced Features
        Kernel driver in use: i915

choeger@daishi ~ % uname -a
Linux daishi 3.11.6-200.fc19.x86_64 #1 SMP Fri Oct 18 22:34:18 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Adam Jackson 2014-11-19 11:23:19 EST
(In reply to Christoph Höger from comment #0)

> choeger@daishi ~ % monitor-edid -v
> parsing EDID from /sys/class/drm/card0-LVDS-1/edid
> EISA ID: LGD0382
> EDID version: 1.3
> EDID extension blocks: 0
> Screen size: 30.9 cm x 17.4 cm (13.96 inches, aspect ratio 16/9 = 1.78)
> Gamma: 2.2
> Digital signal
> 
> 	# Monitor preferred modeline (60.0 Hz vsync, 56.1 kHz hsync, ratio 16/9,
> 131 dpi)
> 	ModeLine "1600x900" 108 1600 1648 1680 1924 900 903 908 936 -hsync -vsync
> 
> Actual results:
> No other modelines detected.
> 
> Expected results:
> There should be some other supported 16:9 modelines.

I mean, maybe we would _like_ there to be, but the EDID block returned by the device is out of our control.  If the monitor only lists 1600x900 then that's all it lists.  The EDID block merely informs mode list construction; userspace can ask for other things, and indeed X should be filling in a more elaborate list for laptop panels (since there, we know we have a scaler in front of it, so anything smaller than the physical size can be upscaled to match).

The real question is what lists of modes you see in xrandr --properties, and whether you're actually getting EDID over VGA.
Comment 2 Fedora End Of Life 2015-01-09 15:24:30 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 13:57:44 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.